# README #

This fileset runs an audit of the scope of one or more iShare instances, assuming standard file locations, giving a summary and count of map sources, layers, workflow, and scheduled tasks. There is also a script which can be run against a workflow.xml file to sort jobs and unassigned tasks into alphabetical order.
If required, the script will also collect up a set of configuration files and copy them into a new folder structure ready to be dropped into a new installation.

It will create:

* Two HTML output pages (detail and summary), containing a summary of specified iShare installations
* CSV output files, detailing layers and workflow tasks for each iShare instance
* If required, a Migrate folder, containing copies of Workflow.xml, ErrorConfig.xml, ConTypes.xml, isharemaps.xml, datashare_[...].xml, map source XMLs, .map files for migration

### What is this repository for? ###

* iShare Installation Audit
* iShare migration

### How do I get set up? ###

* Create a folder Astun/Tools/Audit on the server and drive that iShare is running on, and put the file structure into it (Astun/Tools should already be there)
* Edit config/ishare_audit.xml to include all the iShare instances to be audited
* Run the ishare_audit.bat batch file
* This will generate:
* *  output/ishare_audit.html, containing a detailed audit of the instance
* * output/ishare_audit_summary.html, containing a tabular summary of number of items per instance
* * iShare[GIS]_5.n_layers.csv, containing a list of all layers referenced from iShare
* * iShare[GIS]_5.n_workflow.csv, containing a list of all tasks and jobs (including DataShares used in Jobs
* * Copies of configuration files for migration (if appropriate flag set in config file). If the iShareData folder drive location has changed, map source references to .map files can be updated during the copy process
* The distribution contains some sample output files

To report on all functions in the database which start with 'at_', run the batch file querydatabase.bat. Edit this before running to set the PG environment variable at the top of the file and the path to psql.exe (C:\Program Files\PostgreSQL\<version number>\bin) if this is not in your path environment.

### Assumptions ###
* The files are all in 'normal' iShare locations.

### To Do ###
* If migrate is set to true, the drive letter for referencing map files cannot be left blank. This needs to be changed to leave the path as is if no letter is specified.
* In the migration, two required file as currently not migrated - isharedataroot.xml and _mysources.xml. These need to be added.