<?xml version="1.0" encoding="UTF-8"?>
<!--This stylesheet will process a source html file produded by an earlier process (ishare_audit.html) and produce a summary of scope, including for example layers, workflow, for all the iShare instances listed in the source XML-->
<!--To set the instances, edit the XML file, then run ishare_audit.bat to generate HTML output-->
<!--This runs two XSLT processes - the first produces a detailed report, the second (this one) queries the full report to provide a summary-->
<!--Antony Scott, Astun Technology March 2016-->

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="2.0">
    <xsl:template match="/">
        <html>
            <head>
                <link rel="stylesheet" type="text/css" href="ishare_audit.css"/>
            </head>
            <body>
                <h1>Astun iShare Audit, run <xsl:value-of select="current-date()"/>, <xsl:value-of
                        select="current-time()"/></h1>
                <p>This report summarises the current scope of the Astun iShare installation, based
                on the settings in Astun/Tools/Audit/config/ishare_audit.xml.</p>
                <p>A detailed version of this report is available at <a href="ishare_audit.html">ishare_audit.html</a>.</p>
                
                <!--Process each iShare instance-->
                <table>
                    <tr>
                        <th>iShare Installation</th>
                        <th>Map Srces</th>
                        <th>Layer Grps</th>
                        <th>Layers</th>
                        <th>Base Layers</th>
                        <th>DataShares</th>
                        <th>Jobs</th>
                        <th>Tasks</th>
                        <th>Astun Functions</th>
                        <th>Other Functions</th>
                        
                        
                    </tr>
                    <xsl:for-each select="//h2">
                        <xsl:variable name="v_type-version" select="text()"></xsl:variable>
                        <tr>
                            <td>
                                <xsl:value-of select="$v_type-version"/>
                            </td>
                            <td><xsl:value-of select="count(//h4[@instance=$v_type-version][@type='MapSource']/.)"></xsl:value-of></td>
                            <td><xsl:value-of select="sum(//tr[@instance=$v_type-version]/td[@type='LayerGroup']/.)"></xsl:value-of></td>
                            <td><xsl:value-of select="sum(//tr[@instance=$v_type-version]/td[@type='Layer']/.)"></xsl:value-of></td>
                            <td><xsl:value-of select="sum(//tr[@instance=$v_type-version]/td[@type='BaseLayer']/.)"></xsl:value-of></td>
                            <td><xsl:value-of select="sum(//tr[@instance=$v_type-version]/td[@type='DataShare']/.)"></xsl:value-of></td>
                            <td><xsl:value-of select="sum(//tr[@instance=$v_type-version]/td[@type='Job']/.)"></xsl:value-of></td>
                            <td><xsl:value-of select="sum(//tr[@instance=$v_type-version]/td[@type='Task']/.)"></xsl:value-of></td>
                            <td><xsl:value-of select="sum(//tr[@instance=$v_type-version]/td[@type='FunctionA']/.)"></xsl:value-of></td>
                            <td><xsl:value-of select="sum(//tr[@instance=$v_type-version]/td[@type='FunctionNA']/.)"></xsl:value-of></td>
                            
                            
                        </tr>
                    </xsl:for-each>
                    <tr/>
                </table>

                <!--Lists scheduled tasks if list has been generated-->

            </body>
        </html>
    </xsl:template>
</xsl:stylesheet>
