<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet 
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
    xmlns:fn="fn" 
    xmlns:xs="http://www.w3.org/2001/XMLSchema" 
    version="2.0" exclude-result-prefixes="xs fn">
    
    <xsl:output indent="yes" encoding="US-ASCII" />
    
    <xsl:param name="pathToCSV" select="'../output/tasks.csv'" />
    
     
    <xsl:template match="/" name="main">

            <xsl:variable name="input" select="unparsed-text($pathToCSV)"/>
            <CSVData>
                <xsl:variable name="rows" select="tokenize($input, '\r?\n')"/>
                <Heading>
                    <xsl:for-each select="tokenize($rows[1], ',')">
                        <xsl:element name="h{position()}">
                            <xsl:value-of select="translate(.,'&quot;','')"/>
                        </xsl:element>
                    </xsl:for-each>
                </Heading>
                <Dataset>
                    <xsl:for-each select="remove($rows, 1)">
                        <data>
                            <xsl:for-each select="tokenize(., ',')">
                                <xsl:element name="h{position()}">
                                    <xsl:value-of select="translate(.,'&quot;','')"/>
                                </xsl:element>
                            </xsl:for-each>
                        </data>
                    </xsl:for-each>
                </Dataset>
            </CSVData>
        </xsl:template>
        

    
</xsl:stylesheet>
